package com.iamberry.wechat.core.entity.drp;

import java.util.Date;

import com.iamberry.wechat.core.entity.PageBean;



/**
 * @description ：分销的现金记录，记录收入，支出，提现的情况
 * @author 欧阳明
 *  @date：2016-4-18
 */
public class PlaceLogs implements java.io.Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 2344165037592472619L;
	private int id;     //主键
	private int placeId;  //代理对象id
	private int nums;     //总金额，单位为分
	private int type;     //类型：1，收入；2，支出；
	private String introduction;  // 记录描述
	private int resType;   //记录来源类型：1：订单收入；2，提现支出；3，购买支出
	private Date createDate;    //创建时间
	private Date updateDate;    //更新时间
	private PageBean page;  //分页
	
	private String drpName; //分销商
	private int drpType ; //分销商类型
	
	private String endDate; //查询的结束时间
	private String beginDate; //查询的结束时间
	
	private String remark ; //备注

	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getPlaceId() {
		return placeId;
	}
	public void setPlaceId(int placeId) {
		this.placeId = placeId;
	}
	public int getNums() {
		return nums;
	}
	public void setNums(int nums) {
		this.nums = nums;
	}
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	public String getIntroduction() {
		return introduction;
	}
	public void setIntroduction(String introduction) {
		this.introduction = introduction;
	}
	
	public int getResType() {
		return resType;
	}
	public void setResType(int resType) {
		this.resType = resType;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public Date getUpdateDate() {
		return updateDate;
	}
	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	
	public String getDrpName() {
		return drpName;
	}
	public void setDrpName(String drpName) {
		this.drpName = drpName;
	}
	public int getDrpType() {
		return drpType;
	}
	public void setDrpType(int drpType) {
		this.drpType = drpType;
	}
	public String getEndDate() {
		return endDate;
	}
	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}
	public String getBeginDate() {
		return beginDate;
	}
	public void setBeginDate(String beginDate) {
		this.beginDate = beginDate;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	
	
	
}
